; ===========================
; Microsoft MSX-2
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "c488252d-60a7-46c0-89df-3fd5c9aaa30d"
name = "msx2"
fullname = "MSX2"
theme.folder = "msx2"
roms.folder = "%ROOT%/msx2"
screenscraper.id = 116
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/computers/msx-2"
doc.link.en = "https://wiki.recalbox.com/en/emulators/computers/msx-2"
port = 0
readonly = 0
icon.unicode = $F24f

[properties]
type = computer
device.pad = recommended
device.keyboard = recommended
device.mouse = optional
device.lightgun = no
release.date = "1985-01"
manufacturer = "Microsoft"
retroachievements = 1
crt.multiresolution = 0
crt.multiregion = 1

[core.0]
package = BR2_PACKAGE_LIBRETRO_BLUEMSX
priority = 1
emulator = "libretro"
core = "bluemsx"
extensions = ".cas .dsk .mx1 .mx2 .m3u .ri .rom .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1

[core.1]
package = BR2_PACKAGE_LIBRETRO_FMSX
priority = 2
emulator = "libretro"
core = "fmsx"
extensions = ".rom .msx1 .msx2 .dsk .cas .m3u .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
